diff --git a/src/src/smtp_in.c b/src/src/smtp_in.c
index 3c6339c82..9b60702c1 100644
--- a/src/src/smtp_in.c
+++ b/src/src/smtp_in.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Functions for handling an incoming SMTP call. */
 
diff --git a/src/src/smtp_out.c b/src/src/smtp_out.c
index db39dcab5..e705965ba 100644
--- a/src/src/smtp_out.c
+++ b/src/src/smtp_out.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* A number of functions for driving outgoing SMTP calls. */
 
diff --git a/src/src/spam.c b/src/src/spam.c
index f6575c293..401fdb269 100644
--- a/src/src/spam.c
+++ b/src/src/spam.c
@@ -6,7 +6,7 @@
  * Copyright (c) The Exim Maintainers 2016 - 2022
  * Copyright (c) Tom Kistner <tom@duncanthrax.net> 2003 - 2015
  * License: GPL
- * SPDX-License-Identifier: GPL-2.0-only
+ * SPDX-License-Identifier: GPL-2.0-or-later
  */
 
 /* Code for calling spamassassin's spamd. Called from acl.c. */
diff --git a/src/src/spam.h b/src/src/spam.h
index c410198d7..0362e49dd 100644
--- a/src/src/spam.h
+++ b/src/src/spam.h
@@ -5,7 +5,7 @@
 /* Copyright (c) Tom Kistner <tom@duncanthrax.net> 2003 - 2015 */
 /* Copyright (c) The Exim Maintainers 2021 */
 /* License: GPL */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* spam defines */
 
diff --git a/src/src/spf.c b/src/src/spf.c
index a94bc9677..6f0917a9c 100644
--- a/src/src/spf.c
+++ b/src/src/spf.c
@@ -6,7 +6,7 @@
    Copyright (c) The Exim Maintainers 2015 - 2022
    Copyright (c) Tom Kistner <tom@duncanthrax.net> 2004 - 2014
    License: GPL
-   SPDX-License-Identifier: GPL-2.0-only
+   SPDX-License-Identifier: GPL-2.0-or-later
 */
 
 /* Code for calling spf checks via libspf-alt. Called from acl.c. */
diff --git a/src/src/spf.h b/src/src/spf.h
index 8fb7b04cb..76c7522bd 100644
--- a/src/src/spf.h
+++ b/src/src/spf.h
@@ -6,7 +6,7 @@
    Copyright (c) The Exim Maintainers 2016 - 2022
    Copyright (c) Tom Kistner <tom@duncanthrax.net> 2004
    License: GPL
-   SPDX-License-Identifier: GPL-2.0-only
+   SPDX-License-Identifier: GPL-2.0-or-later
 */
 
 #ifdef SUPPORT_SPF
diff --git a/src/src/spool_in.c b/src/src/spool_in.c
index 82d11bf65..6d6651f57 100644
--- a/src/src/spool_in.c
+++ b/src/src/spool_in.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Functions for reading spool files. When compiling for a utility (eximon),
 not all are needed, and some functionality can be cut out. */
diff --git a/src/src/spool_mbox.c b/src/src/spool_mbox.c
index d9767ec3c..7ea565a58 100644
--- a/src/src/spool_mbox.c
+++ b/src/src/spool_mbox.c
@@ -5,7 +5,7 @@
 /* Copyright (c) Tom Kistner <tom@duncanthrax.net> 2003 - 2015
  * License: GPL
  * Copyright (c) The Exim Maintainers 2016 - 2021
- * SPDX-License-Identifier: GPL-2.0-only
+ * SPDX-License-Identifier: GPL-2.0-or-later
  */
 
 /* Code for setting up a MBOX style spool file inside a /scan/<msgid>
diff --git a/src/src/spool_out.c b/src/src/spool_out.c
index cb409c641..9c5e8eb33 100644
--- a/src/src/spool_out.c
+++ b/src/src/spool_out.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Functions for writing spool files, and moving them about. */
 
diff --git a/src/src/std-crypto.c b/src/src/std-crypto.c
index c1eef6c35..29efa6997 100644
--- a/src/src/std-crypto.c
+++ b/src/src/std-crypto.c
@@ -7,7 +7,7 @@
  * But almost everything here is fixed published constants from RFCs, so also:
  * Copyright (C) The Internet Society (2003)
  * Copyright (C) The IETF Trust (2008)
- * SPDX-License-Identifier: GPL-2.0-only
+ * SPDX-License-Identifier: GPL-2.0-or-later
  *
  * Most of the text in RFC referencing comments is copy/paste from RFC,
  * as is undoubtedly the intention.
diff --git a/src/src/store.c b/src/src/store.c
index 449fb4ead..9e4536eae 100644
--- a/src/src/store.c
+++ b/src/src/store.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim maintainers 2019 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Exim gets and frees all its store through these functions. In the original
 implementation there was a lot of mallocing and freeing of small bits of store.
diff --git a/src/src/store.h b/src/src/store.h
index 47ed963cd..834457aaa 100644
--- a/src/src/store.h
+++ b/src/src/store.h
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Header for Exim's memory allocation functions */
 
diff --git a/src/src/string.c b/src/src/string.c
index ff4180b2b..2cb419517 100644
--- a/src/src/string.c
+++ b/src/src/string.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Miscellaneous string-handling functions. Some are not required for
 utilities and tests, and are cut out by the COMPILE_UTILITY macro. */
diff --git a/src/src/structs.h b/src/src/structs.h
index 1cb69236e..e1d93a943 100644
--- a/src/src/structs.h
+++ b/src/src/structs.h
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 
 /* Definitions of various structures. In addition, those that are visible for
diff --git a/src/src/tls-cipher-stdname.c b/src/src/tls-cipher-stdname.c
index fe442a050..ef3de99cb 100644
--- a/src/src/tls-cipher-stdname.c
+++ b/src/src/tls-cipher-stdname.c
@@ -4,7 +4,7 @@
 
 /* Copyright (c) Jeremy Harris 2019 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Translate an IETF TLS ciphersuite code to an IETF ciphersuite name,
 for use when the TLS library do not provide such names.
diff --git a/src/src/tls-gnu.c b/src/src/tls-gnu.c
index c98760202..703a0a4ca 100644
--- a/src/src/tls-gnu.c
+++ b/src/src/tls-gnu.c
@@ -6,7 +6,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* Copyright (c) Phil Pennock 2012 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* This file provides TLS/SSL support for Exim using the GnuTLS library,
 one of the available supported implementations.  This file is #included into
diff --git a/src/src/tls-openssl.c b/src/src/tls-openssl.c
index 052d8161d..2b3f02712 100644
--- a/src/src/tls-openssl.c
+++ b/src/src/tls-openssl.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2019 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Portions Copyright (c) The OpenSSL Project 1999 */
 
diff --git a/src/src/tls.c b/src/src/tls.c
index 9e20b5bca..4a23aaae9 100644
--- a/src/src/tls.c
+++ b/src/src/tls.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* This module provides TLS (aka SSL) support for Exim. The code for OpenSSL is
 based on a patch that was originally contributed by Steve Haslam. It was
diff --git a/src/src/tlscert-gnu.c b/src/src/tlscert-gnu.c
index 8840d5cfd..a3f6d4434 100644
--- a/src/src/tlscert-gnu.c
+++ b/src/src/tlscert-gnu.c
@@ -4,7 +4,7 @@
 
 /* Copyright (c) The Exim Maintainers 2021 - 2022 */
 /* Copyright (c) Jeremy Harris 2014 - 2018 */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* This file provides TLS/SSL support for Exim using the GnuTLS library,
 one of the available supported implementations.  This file is #included into
diff --git a/src/src/tlscert-openssl.c b/src/src/tlscert-openssl.c
index a4c3d19fa..32177ea81 100644
--- a/src/src/tlscert-openssl.c
+++ b/src/src/tlscert-openssl.c
@@ -4,7 +4,7 @@
 
 /* Copyright (c) The Exim Maintainers 2022 */
 /* Copyright (c) Jeremy Harris 2014 - 2019 */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* This module provides TLS (aka SSL) support for Exim using the OpenSSL
 library. It is #included into the tls.c file when that library is used.
diff --git a/src/src/tod.c b/src/src/tod.c
index ac4ed35b9..364703d53 100644
--- a/src/src/tod.c
+++ b/src/src/tod.c
@@ -5,7 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* Copyright (c) The Exim Maintainers 2020 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* A function for returning the time of day in various formats */
 
diff --git a/src/src/transport.c b/src/src/transport.c
index ff2e0b1d4..d04ea516a 100644
--- a/src/src/transport.c
+++ b/src/src/transport.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* General functions concerned with transportation, and generic options for all
 transports. */
diff --git a/src/src/transports/appendfile.c b/src/src/transports/appendfile.c
index 18badde86..c39c07c9f 100644
--- a/src/src/transports/appendfile.c
+++ b/src/src/transports/appendfile.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2020 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 
 #include "../exim.h"
diff --git a/src/src/transports/appendfile.h b/src/src/transports/appendfile.h
index 108114905..c3b7c59c4 100644
--- a/src/src/transports/appendfile.h
+++ b/src/src/transports/appendfile.h
@@ -5,7 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* Copyright (c) The Exim Maintainers 2021 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Private structure for the private options. */
 
diff --git a/src/src/transports/autoreply.c b/src/src/transports/autoreply.c
index eff1a3792..fa884cec4 100644
--- a/src/src/transports/autoreply.c
+++ b/src/src/transports/autoreply.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 
 #include "../exim.h"
diff --git a/src/src/transports/autoreply.h b/src/src/transports/autoreply.h
index 5f278a51e..83061719c 100644
--- a/src/src/transports/autoreply.h
+++ b/src/src/transports/autoreply.h
@@ -4,7 +4,7 @@
 
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Private structure for the private options. */
 
diff --git a/src/src/transports/lmtp.c b/src/src/transports/lmtp.c
index c734c3a26..e04c991ab 100644
--- a/src/src/transports/lmtp.c
+++ b/src/src/transports/lmtp.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 
 #include "../exim.h"
diff --git a/src/src/transports/lmtp.h b/src/src/transports/lmtp.h
index 71fd77f26..fe51b18cc 100644
--- a/src/src/transports/lmtp.h
+++ b/src/src/transports/lmtp.h
@@ -4,7 +4,7 @@
 
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Private structure for the private options. */
 
diff --git a/src/src/transports/pipe.c b/src/src/transports/pipe.c
index b8103e2f6..c3547eefe 100644
--- a/src/src/transports/pipe.c
+++ b/src/src/transports/pipe.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 
 #include "../exim.h"
diff --git a/src/src/transports/pipe.h b/src/src/transports/pipe.h
index 416569608..be5ec3424 100644
--- a/src/src/transports/pipe.h
+++ b/src/src/transports/pipe.h
@@ -4,7 +4,7 @@
 
 /* Copyright (c) University of Cambridge 1995 - 2014 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Private structure for the private options. */
 
diff --git a/src/src/transports/queuefile.c b/src/src/transports/queuefile.c
index 3a2bae22f..b6511133c 100644
--- a/src/src/transports/queuefile.c
+++ b/src/src/transports/queuefile.c
@@ -6,7 +6,7 @@
 /* Copyright (c) University of Cambridge 2016 */
 /* Copyright (c) The Exim Maintainers 1995 - 2021 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 
 
diff --git a/src/src/transports/queuefile.h b/src/src/transports/queuefile.h
index 22759a7f7..f5362515b 100644
--- a/src/src/transports/queuefile.h
+++ b/src/src/transports/queuefile.h
@@ -5,7 +5,7 @@
 /* Copyright (c) Andrew Colin Kissa <andrew@topdog.za.net> 2016 */
 /* Copyright (c) University of Cambridge 2016 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Private structure for the private options. */
 
diff --git a/src/src/transports/smtp.c b/src/src/transports/smtp.c
index 2d2db1b10..1183fa478 100644
--- a/src/src/transports/smtp.c
+++ b/src/src/transports/smtp.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #include "../exim.h"
 #include "smtp.h"
diff --git a/src/src/transports/smtp.h b/src/src/transports/smtp.h
index 8793ece4f..cb1d72625 100644
--- a/src/src/transports/smtp.h
+++ b/src/src/transports/smtp.h
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #define DELIVER_BUFFER_SIZE 4096
 
diff --git a/src/src/transports/smtp_socks.c b/src/src/transports/smtp_socks.c
index 353a69618..22ee74bd8 100644
--- a/src/src/transports/smtp_socks.c
+++ b/src/src/transports/smtp_socks.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2021 - 2022 */
 /* Copyright (c) Jeremy Harris 2015 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* SOCKS version 5 proxy, client-mode */
 
diff --git a/src/src/transports/tf_maildir.c b/src/src/transports/tf_maildir.c
index 925b8fac0..df932b13e 100644
--- a/src/src/transports/tf_maildir.c
+++ b/src/src/transports/tf_maildir.c
@@ -5,7 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* Copyright (c) The Exim Maintainers 2020 - 2021 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Functions in support of the use of maildirsize files for handling quotas in
 maildir directories. Some of the rules are a bit baroque:
diff --git a/src/src/transports/tf_maildir.h b/src/src/transports/tf_maildir.h
index d314c3203..9f2f0e3f8 100644
--- a/src/src/transports/tf_maildir.h
+++ b/src/src/transports/tf_maildir.h
@@ -5,7 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* Copyright (c) The Exim Maintainers 2021 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Header file for the functions that are used to support the use of
 maildirsize files for quota handling in maildir directories. */
diff --git a/src/src/tree.c b/src/src/tree.c
index e340d986a..13fc28cc2 100644
--- a/src/src/tree.c
+++ b/src/src/tree.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2021 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2015 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Functions for maintaining binary balanced trees and some associated
 functions as well. */
diff --git a/src/src/utf8.c b/src/src/utf8.c
index 6604727ff..c05853838 100644
--- a/src/src/utf8.c
+++ b/src/src/utf8.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2022 */
 /* Copyright (c) Jeremy Harris 2015 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 
 #include "exim.h"
diff --git a/src/src/verify.c b/src/src/verify.c
index 3a8914e38..0ca096130 100644
--- a/src/src/verify.c
+++ b/src/src/verify.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Functions concerned with verifying things. The original code for callout
 caching was contributed by Kevin Fleming (but I hacked it around a bit). */
diff --git a/src/src/version.c b/src/src/version.c
index cbaaef24b..2637ee94a 100644
--- a/src/src/version.c
+++ b/src/src/version.c
@@ -5,7 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* Copyright (c) The Exim Maintainers 2010 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Function for setting up the version string. */
 
diff --git a/src/util/chunking_fixqueue_finalnewlines.pl b/src/util/chunking_fixqueue_finalnewlines.pl
index b8ab17bd7..832b6a71f 100755
--- a/src/util/chunking_fixqueue_finalnewlines.pl
+++ b/src/util/chunking_fixqueue_finalnewlines.pl
@@ -1,5 +1,6 @@
 #!/usr/bin/env perl
-# SPDX-License-Identifier: GPL-2.0-only
+# Copyright (c) The Exim Maintainers 2022
+# SPDX-License-Identifier: GPL-2.0-or-later
 
 use warnings;
 use strict;
diff --git a/src/util/cramtest.pl b/src/util/cramtest.pl
index a6124628b..9fc797ba2 100755
--- a/src/util/cramtest.pl
+++ b/src/util/cramtest.pl
@@ -1,5 +1,6 @@
 #!/usr/bin/perl
-# SPDX-License-Identifier: GPL-2.0-only
+# Copyright (c) The Exim Maintainers 2022
+# SPDX-License-Identifier: GPL-2.0-or-later
 
 # This script is contributed by Vadim Vygonets to aid in debugging CRAM-MD5
 # authentication.
diff --git a/src/util/gen_pkcs3.c b/src/util/gen_pkcs3.c
index 3ef3110de..c5a4453cb 100644
--- a/src/util/gen_pkcs3.c
+++ b/src/util/gen_pkcs3.c
@@ -2,7 +2,7 @@
  * Copyright (c) The Exim Maintainers 2021
  * This is distributed as part of Exim and licensed under the GPL.
  * See the file "NOTICE" for more details.
- * SPDX-License-Identifier: GPL-2.0-only
+ * SPDX-License-Identifier: GPL-2.0-or-later
  */
 
 /* Build with:
diff --git a/src/util/logargs.sh b/src/util/logargs.sh
index 814228d10..782ff8566 100755
--- a/src/util/logargs.sh
+++ b/src/util/logargs.sh
@@ -1,5 +1,6 @@
 #! /bin/sh
-# SPDX-License-Identifier: GPL-2.0-only
+# Copyright (c) The Exim Maintainers 2022
+# SPDX-License-Identifier: GPL-2.0-or-later
 
 # This script can be interposed between a calling program and another
 # program, in order to log the arguments which are being used. This can
diff --git a/src/util/mkcdb.pl b/src/util/mkcdb.pl
index e2b5931e7..3a438182c 100755
--- a/src/util/mkcdb.pl
+++ b/src/util/mkcdb.pl
@@ -1,5 +1,6 @@
 #!/usr/bin/perl -wT
-# SPDX-License-Identifier: GPL-2.0-only
+# Copyright (c) The Exim Maintainers 2022
+# SPDX-License-Identifier: GPL-2.0-or-later
 #
 # Create cdb file from flat alias file. DPC: 15/10/98.
 # Args:      source  (may be relative or absolute)
diff --git a/src/util/ocsp_fetch.pl b/src/util/ocsp_fetch.pl
index 2afbdbdac..9255311a4 100755
--- a/src/util/ocsp_fetch.pl
+++ b/src/util/ocsp_fetch.pl
@@ -1,7 +1,7 @@
 #!/usr/bin/perl
 # Copyright (C) 2012 Wizards Internet Ltd
 # License GPLv2: GNU GPL version 2 <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>
-# SPDX-License-Identifier: GPL-2.0-only
+# SPDX-License-Identifier: GPL-2.0-or-later
 
 use strict;
 BEGIN { pop @INC if $INC[-1] eq '.' };
diff --git a/src/util/proxy_protocol_client.pl b/src/util/proxy_protocol_client.pl
index 8b4311b64..8253fc4ac 100644
--- a/src/util/proxy_protocol_client.pl
+++ b/src/util/proxy_protocol_client.pl
@@ -3,7 +3,7 @@
 # Copyright (C) 2014 Todd Lyons
 # License GPLv2: GNU GPL version 2
 # <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>
-# SPDX-License-Identifier: GPL-2.0-only
+# SPDX-License-Identifier: GPL-2.0-or-later
 #
 # This script emulates a proxy which uses Proxy Protocol to communicate
 # to a backend server.  It should be run from an IP which is configured
diff --git a/src/util/ratelimit.pl b/src/util/ratelimit.pl
index 2ceeebbfa..ce54fe6c3 100644
--- a/src/util/ratelimit.pl
+++ b/src/util/ratelimit.pl
@@ -1,5 +1,6 @@
 #!/usr/bin/perl -wT
-# SPDX-License-Identifier: GPL-2.0-only
+# Copyright (c) The Exim Maintainers 2022
+# SPDX-License-Identifier: GPL-2.0-or-later
 
 use strict;
 
diff --git a/src/util/renew-opendmarc-tlds.sh b/src/util/renew-opendmarc-tlds.sh
index 583dc0e40..d626aac37 100755
--- a/src/util/renew-opendmarc-tlds.sh
+++ b/src/util/renew-opendmarc-tlds.sh
@@ -1,5 +1,6 @@
 #!/bin/sh -eu
-# SPDX-License-Identifier: GPL-2.0-only
+# Copyright (c) The Exim Maintainers 2022
+# SPDX-License-Identifier: GPL-2.0-or-later
 #
 # Short version of this script:
 #   curl -f -o /var/cache/exim/opendmarc.tlds https://publicsuffix.org/list/public_suffix_list.dat
diff --git a/src/util/unknownuser.sh b/src/util/unknownuser.sh
index 01e617978..a57a84bba 100755
--- a/src/util/unknownuser.sh
+++ b/src/util/unknownuser.sh
@@ -1,5 +1,6 @@
 #! /bin/sh
-# SPDX-License-Identifier: GPL-2.0-only
+# Copyright (c) The Exim Maintainers 2022
+# SPDX-License-Identifier: GPL-2.0-or-later
 
 # This is a sample script for demonstrating how to handle unknown users in
 # a more friendly way than just returning a "user unknown" error. It can

